Summary:	Tool to change the priority of IPv4 routes
Name:		ifmetric
Version:	0.3
Release:	%mkrel 7
License:	GPL
Group: 		System/Configuration/Networking
Url: 		http://0pointer.de/lennart/projects/ifmetric/
Source0:	http://0pointer.de/lennart/projects/ifmetric/%{name}-%{version}.tar.xz
Patch1:		ifmetric-amd64.patch
BuildRequires:	lynx
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
ifmetric is a Linux tool for setting the metrics of all IPv4 routes
attached to a given network interface at once. This may be used to
change the priority of routing IPv4 traffic over the interface.
Lower metrics correlate with higher priorities.

%prep
%setup -q
%patch1 -p1

%build
%configure2_5x --disable-xmltoman
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*




%changelog
* Tue Aug 23 2011 Texstar <texstar at gmail.com. 0.3-7pclos2011
- apply debian patch to fix NETLINK: Packet too small or truncated
- on amd64 systems

* Tue Jan 19 2010 Texstar <texstar at gmail.com> 0.3-6pclos2010
- rebuild for 2010 release

